## gtsam 4.2~9+dfsg

=== debian/changelog ===
gtsam (4.2~9+dfsg-5) unstable; urgency=medium

  * Build fixes on various arches

 -- Dima Kogan <dkogan@debian.org>  Tue, 15 Aug 2023 22:24:33 -0700

gtsam (4.2~9+dfsg-4) unstable; urgency=medium

  * Bug fix in attempt to fix out-of-memory builds on 32-bit arches

 -- Dima Kogan <dkogan@debian.org>  Mon, 14 Aug 2023 09:24:45 -0700

gtsam (4.2~9+dfsg-3) unstable; urgency=medium

  * Attempt to fix out-of-memory builds on 32-bit arches

 -- Dima Kogan <dkogan@debian.org>  Mon, 14 Aug 2023 01:08:19 -0700

gtsam (4.2~9+dfsg-2) unstable; urgency=medium

  * Initial release (Closes: #1031098)

 -- Dima Kogan <dkogan@debian.org>  Wed, 09 Aug 2023 18:03:21 -0700
