=== debian/control ===
Source: gtsam
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               cmake,
               libboost-filesystem-dev,
               libboost-regex-dev,
               libboost-serialization-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libboost-timer-dev,
               libboost-program-options-dev,
               libboost-chrono-dev,
               libboost-date-time-dev,
               libeigen3-dev,
               libgeographiclib-dev,
               libspectra-dev,
               libsuitesparse-dev,
               libmetis-dev,
               libtbb-dev,
               pybind11-dev,
               python3-all-dev:any,
               libpython3-all-dev,
               python3-pyparsing,
               python3-numpy,
               chrpath
Build-Depends-Indep: 
               lyx,
               texlive-latex-base,
               ghostscript,
               doxygen
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Standards-Version: 4.1.3
Homepage: http://www.gtsam.org
Vcs-Git: https://salsa.debian.org/science-team/gtsam.git
Vcs-Browser: https://salsa.debian.org/science-team/gtsam

Package: libgtsam4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Factor graphs for sensor fusion in robotics
 GTSAM is a C++ library that implements sensor fusion for robotics and computer
 vision applications, including SLAM (Simultaneous Localization and Mapping), VO
 (Visual Odometry), and SFM (Structure from Motion). It uses factor graphs and
 Bayes networks as the underlying computing paradigm rather than sparse matrices
 to optimize for the most probable configuration or an optimal plan. Coupled
 with a capable sensor front-end (not provided here), GTSAM powers many
 impressive autonomous systems, in both academia and industry.

Package: libgtsam-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libgtsam4 (= ${binary:Version})
Recommends: libgtsam-doc
Description: Factor graphs for sensor fusion in robotics
 GTSAM is a C++ library that implements sensor fusion for robotics and computer
 vision applications, including SLAM (Simultaneous Localization and Mapping), VO
 (Visual Odometry), and SFM (Structure from Motion). It uses factor graphs and
 Bayes networks as the underlying computing paradigm rather than sparse matrices
 to optimize for the most probable configuration or an optimal plan. Coupled
 with a capable sensor front-end (not provided here), GTSAM powers many
 impressive autonomous systems, in both academia and industry.
 .
 Development files

Package: libgtsam-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-mathjax
Description: Factor graphs for sensor fusion in robotics
 GTSAM is a C++ library that implements sensor fusion for robotics and computer
 vision applications, including SLAM (Simultaneous Localization and Mapping), VO
 (Visual Odometry), and SFM (Structure from Motion). It uses factor graphs and
 Bayes networks as the underlying computing paradigm rather than sparse matrices
 to optimize for the most probable configuration or an optimal plan. Coupled
 with a capable sensor front-end (not provided here), GTSAM powers many
 impressive autonomous systems, in both academia and industry.
 .
 Documentation

Package: python3-gtsam
Section: python
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libgtsam4 (= ${binary:Version}),
         ${python3:Depends}, python3-numpy
Provides: ${python3:Provides}
Description: Factor graphs for sensor fusion in robotics
 GTSAM is a C++ library that implements sensor fusion for robotics and computer
 vision applications, including SLAM (Simultaneous Localization and Mapping), VO
 (Visual Odometry), and SFM (Structure from Motion). It uses factor graphs and
 Bayes networks as the underlying computing paradigm rather than sparse matrices
 to optimize for the most probable configuration or an optimal plan. Coupled
 with a capable sensor front-end (not provided here), GTSAM powers many
 impressive autonomous systems, in both academia and industry.
 .
 Python library
