## gtsam 4.2.0%2Bdfsg

=== debian/changelog ===
gtsam (4.2.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:39:30 +0000

gtsam (4.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Successful build against boost 1.83 (Closes: #1056078)
  * Not depending on the -all python packages (Closes: #1055683)

 -- Dima Kogan <dkogan@debian.org>  Mon, 08 Jan 2024 21:51:35 -0800

gtsam (4.2~9+dfsg-6) unstable; urgency=medium

  * Disabled building examples to cut down on build time
  * Build fixes for 32bit arches

 -- Dima Kogan <dkogan@debian.org>  Thu, 31 Aug 2023 13:32:38 -0700
